summaryrefslogtreecommitdiffstats
path: root/mcp/config/states/neutron_dhcp_agent_patch
diff options
context:
space:
mode:
authorAlexandru Avadanii <Alexandru.Avadanii@enea.com>2019-05-03 15:53:58 +0000
committerGerrit Code Review <gerrit@opnfv.org>2019-05-03 15:53:58 +0000
commit0a68db99b8f1173fe9b8844be598b4a63f0b24e8 (patch)
treee1639323bf43418354d4da963db5436fe21b712b /mcp/config/states/neutron_dhcp_agent_patch
parent8d2e6a999050df9e0bf5ff0c99d75c90f3a82fc1 (diff)
parent836a67e9d26035f0d4f76a34b0f92fd570d5b8b1 (diff)
Merge "Patch dhcp agent to avoid unwanted rescheduling" into stable/hunter
Diffstat (limited to 'mcp/config/states/neutron_dhcp_agent_patch')
-rwxr-xr-xmcp/config/states/neutron_dhcp_agent_patch12
1 files changed, 12 insertions, 0 deletions
diff --git a/mcp/config/states/neutron_dhcp_agent_patch b/mcp/config/states/neutron_dhcp_agent_patch
new file mode 100755
index 000000000..a9e14bee7
--- /dev/null
+++ b/mcp/config/states/neutron_dhcp_agent_patch
@@ -0,0 +1,12 @@
+#!/bin/bash -e
+##############################################################################
+# Copyright (c) 2019 Mirantis Inc., Enea AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+# regression due to https://bugs.launchpad.net/neutron/+bug/1760047
+salt -I 'neutron:gateway' pkg.install python-neutron
+salt -I 'neutron:gateway' file.patch /usr/lib/python2.7/dist-packages/neutron/agent/dhcp/agent.py /var/tmp/dhcp_agent.patch || true